%define url_ver %(echo %{version}|cut -d. -f1,2)
%define oname   mate-netspeed

Summary:        MATE applet that shows traffic on a network device
Name:           %{oname}-applet
Version:        1.6.1
Release:        %mkrel 1
Group:          Graphical desktop/MATE
License:        GPLv2+
URL:            http://www.mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{oname}-%{version}.tar.xz

BuildRequires:    intltool
BuildRequires:    mate-common
BuildRequires:    pkgconfig(glib-2.0)
BuildRequires:    pkgconfig(gtk+-2.0)
BuildRequires:    pkgconfig(libgtop-2.0)
BuildRequires:    pkgconfig(libmatewnck)
BuildRequires:    pkgconfig(libnotify)
BuildRequires:    pkgconfig(libmatepanelapplet-4.0)
BuildRequires:    pkgconfig(mate-doc-utils)

Requires:       mate-panel
Provides:       netspeed_applet = %{version}-%{release}
Provides:       %{oname} = %{version}-%{release}

%description
netspeed is a little MATE applet that shows the traffic on a
specified network device (for example eth0) in kbytes/s.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x                             \
                --disable-static           \
                --disable-scrollkeeper     \
                --disable-schemas-compile

%make LIBS='-lm'

%install
%makeinstall_std

find %{buildroot} -type f -name '*.la' -delete
find %{buildroot} -type f -name '*.a' -delete

%find_lang %{oname} --all-name

%files -f %{oname}.lang
%doc AUTHORS README
%{_libexecdir}/mate-netspeed-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.NetspeedAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.netspeed.gschema.xml
%{_datadir}/icons/hicolor/*x*/apps/*.png
%{_datadir}/icons/hicolor/*x*/devices/*.png
%{_datadir}/mate/help/mate_netspeed_applet
%{_datadir}/omf/mate_netspeed_applet
%{_datadir}/icons/hicolor/*x*/status/*.png
%{_datadir}/icons/hicolor/scalable/apps/mate-netspeed-applet.svg
%{_datadir}/mate-panel/applets/org.mate.panel.NetspeedApplet.mate-panel-applet
%{_datadir}/mate-panel/ui/netspeed-menu.xml



%changelog
* Fri Jan 03 2014 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 564322
- Update to bugfix version: 1.6.1

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 531086
- Mageia 4 Mass Rebuild

* Fri Jun 21 2013 tarakbumba <tarakbumba> 1.6.0-1.mga4
+ Revision: 445512
- imported package mate-netspeed-applet

